Bug 168090 - Update port: sysutils/hardlink Upgrade to version 0.2.0
Summary: Update port: sysutils/hardlink Upgrade to version 0.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-18 05:10 UTC by Douglas Thrift
Modified: 2012-05-18 10:30 UTC (History)
0 users

See Also:


Attachments
hardlink.2012-05-18T034256Z.diff (1.73 KB, patch)
2012-05-18 05:10 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2012-05-18 05:10:02 UTC
Upgraded sysutils/hardlink to version 0.2.0. This version is written in C
instead of Python and can use either PCRE or POSIX for regexes.

https://redports.org/buildarchive/20120518024505-48210/

Note: the one build failure was a failure to build devel/pkg-config with the
QATty build group.

From debian/changelog:

hardlink (0.2.0) unstable; urgency=low

  [ Diego Elio Pettenò ]
  * Fix positioning of LDLIBS flags, order is important.

  [ Julian Andres Klode ]
  * Final release of 0.2.0; upload to unstable

 -- Julian Andres Klode <jak@debian.org>  Sat, 12 May 2012 12:57:02 +0200

hardlink (0.2.0~rc1) experimental; urgency=low

  * Rewrite hardlink in C, improves memory usage
    - Use PCRE for regular expressions (can build with POSIX ones as well)
  * Handle several signals (SIGINT, SIGTERM, SIGUSR1, SIGUSR2)
  * Do not create backups. Instead, link to temporary and then rename to target.
  * Add a "-c" compatibility option for Fedora people and their friends

 -- Julian Andres Klode <jak@debian.org>  Sat, 03 Mar 2012 18:11:05 +0100
Comment 1 Edwin Groothuis freebsd_committer 2012-05-18 05:10:13 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-05-18 05:10:15 UTC
Maintainer of sysutils/hardlink,

Please note that PR ports/168090 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/168090

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-05-18 05:10:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Douglas Thrift 2012-05-18 05:12:18 UTC
Oof! It is still messing up and thinking I'm not the maintainer while
still thinking that I am. Of course I approve my own PR.
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>

On 5/17/2012 9:10 PM, Edwin Groothuis wrote:
> Maintainer of sysutils/hardlink,
> 
> Please note that PR ports/168090 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/168090
>
Comment 5 Po-Chuan Hsieh freebsd_committer 2012-05-18 06:00:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 6 dfilter service freebsd_committer 2012-05-18 10:28:08 UTC
sunpoet     2012-05-18 09:27:54 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/hardlink    Makefile distinfo 
  Log:
  - Update to 0.2.0
  
  Changes:        http://anonscm.debian.org/gitweb/?p=users/jak/hardlink.git;a=log
  - Release 0.2.0
  - Fix positioning of LDLIBS flags, order is important
  - Rewrite hardlink in C
  
  PR:             ports/168090
  Submitted by:   Douglas Thrift <douglas@douglasthrift.net> (maintainer)
  
  Revision  Changes    Path
  1.3       +15 -8     ports/sysutils/hardlink/Makefile
  1.3       +2 -2      ports/sysutils/hardlink/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Po-Chuan Hsieh freebsd_committer 2012-05-18 10:28:10 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!